/*
 * CSS for jsPsych experiments.
 *
 * This stylesheet provides minimal styling to make jsPsych
 * experiments look polished without any additional styles.
 */

 @import url(https://fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,400,700);

/* Container holding jsPsych content */

 .jspsych-display-element {
   display: flex;
   flex-direction: column;
   overflow-y: auto;
 }

 .jspsych-display-element:focus {
   outline: none;
 }

 .jspsych-content-wrapper {
   display: flex;
   margin: auto;
   flex: 1 1 100%;
   width: 100%;
 }

 .jspsych-content {
   max-width: 95%; /* this is mainly an IE 10-11 fix */
   text-align: center;
   margin: auto; /* this is for overflowing content */
 }

 .jspsych-top {
   align-items: flex-start;
 }

 .jspsych-middle {
   align-items: center;
 }

/* fonts and type */

.jspsych-display-element {
  /*font-family: 'Open Sans', 'Arial', sans-serif;*/
  font-family: SequentialistBB, cursive; 
  font-size: 1.3em;
  line-height: 1.6em;
}

/* Form elements like input fields and buttons */

.jspsych-display-element input[type="text"] {
  font-family: 'Open Sans', 'Arial', sans-serif;
  font-size: 16px;
}

/* borrowing Bootstrap style for btn elements, but combining styles a bit */
.jspsych-btn {
  display: inline-block;
  padding: 6px 12px;
  margin: 0px;
  font-size: 16px;
  font-weight: 400;
  font-family: 'Open Sans', 'Arial', sans-serif;
  cursor: pointer;
  line-height: 1.4;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-image: none;
  border: 1px solid transparent;
  border-radius: 4px;
  color: #333;
  background-color: #fff;
  border-color: #ccc;
}

.jspsych-btn:hover {
  background-color: #ddd;
  border-color: #aaa;
}

.jspsych-btn:disabled {
  background-color: #eee;
  color: #aaa;
  border-color: #ccc;
  cursor: not-allowed;
}

/* jsPsych progress bar */

#jspsych-progressbar-container {
  color: #555;
  border-bottom: 1px solid #dedede;
  background-color: #f9f9f9;
  margin-bottom: 1em;
  text-align: center;
  padding: 8px 0px;
  width: 100%;
  line-height: 1em;
}
#jspsych-progressbar-container span {
  font-size: 14px;
  padding-right: 14px;
}
#jspsych-progressbar-outer {
  background-color: #eee;
  width: 50%;
  margin: auto;
  height: 14px;
  display: inline-block;
  vertical-align: middle;
  box-shadow: inset 0 1px 2px rgba(0,0,0,0.1);
}
#jspsych-progressbar-inner {
  background-color: #aaa;
  width: 0%;
  height: 100%;
}

/* Control appearance of jsPsych.data.displayData() */
#jspsych-data-display {
  text-align: left;
}

/* containers for text */

.image-container-text{
    position: relative;
    text-align: center;
    width: 750px;
    left:50%;
    height: 750px;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    top: 0;
/*    border:2px solid black;*/
}

.image-inner-container-text {
    position: absolute;
/*        border:2px solid black;*/
}


/* Speech bubble code */
@font-face {
    font-family: 'SequentialistBB';
    src: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/4273/306FA6_1_0.woff2') format('woff2'),
    url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/4273/306FA6_0_0.woff') format('woff');
    font-style: normal;
    font-weight: 400;
    }
  @font-face {
    font-family: 'SequentialistBB';
    src: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/4273/306FA6_0_0.woff2') format('woff2'),
    url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/4273/306FA6_0_0.woff') format('woff');
    font-style: italic;
    font-weight: 400;
    }
* { 
  box-sizing: border-box;
}

.row_labels {
  margin-top: 0%;
  height: 100%;
  position:  relative;
/*  border: 4px dotted green;*/
}
.row_labels::after {
  content: "";
  clear: both;
  display: table;
}

.row {
  margin-top: 0%;
  height: 100%;
  position:  relative;
/*  border: 4px dotted red;*/
}
.row::after {
  content: "";
  clear: both;
  display: table;
}

.row_sisters {
  margin-top: 0%;
  height: 100%;
  border-bottom: 5px solid black;
/*    border: 4px dotted red;*/
}
.row_sisters::after {
  content: "";
  clear: both;
  display: table;
}

.column_first_label {
    float: left;
    text-align: center;
    width: 5%;
    padding: 0;
    margin: 0;
    margin-left: 17%;
    height: auto;
/*    border: 1px solid gray;*/
}

.column_second_label {
    float: left;
    text-align: center;
    width: 5%;
    padding: 0;
    margin: 0;
    margin-left: 55%;
    height: auto;
/*    border: 1px solid gray;*/
}

.column_img {
    float: left;
    text-align: left;
    width: 25%;
    padding: 0;
    margin: 0;
    margin-left: 10%;
    height: auto;
    vertical-align: middle;
/*    border: 4px dotted blue;
*/}
.column_img_small {
    float: left;
    text-align: left;
    width: 15%;
    padding: 0;
    margin: 0;
    margin-top: 10%;
    margin-left: 5%;
    height: auto;
/*    border: 4px dotted blue;
*/}
.column_img_combo {
    float: left;
    text-align: left;
    width: 20%;
    padding: 0;
    margin: 0;
    margin-top: 0%;
    margin-left: 0%;
    height: auto;
/*    border: 4px dotted blue;*/
}

.column_img_spacer {
    float: left;
    text-align: left;
    width: 20%;
    padding: 0;
    margin: 0;
    margin-top: 10%;
    margin-left: 0%;
    height: auto;
/*    border: 4px dotted blue;*/
}

.column_bubble1 {
    float: left;
    text-align: left;
    width: 30%;
    padding: 0;
    margin: 0;
    margin-left: 15%;
    height: auto;
/*    border: 4px dotted blue;*/
}

.column_bubble2 {
    float: left;
    text-align: left;
    width: 20%;
    padding: 0;
    margin: 0;
    margin-left: 80%;
    height: auto;
    position:  absolute;
    bottom:  0;
/*    border: 4px dotted blue; */
}

.column_first_bubble1 {
    float: left;
    text-align: left;
    width: 25%;
    padding: 0;
    margin: 0;
    margin-left: 0%;
    height: auto;
/*    border: 4px dotted blue;*/
}

.column_first_bubble2 {
    float: left;
    text-align: left;
    width: 15%;
    padding: 0;
    margin: 0;
    margin-left: 25%;
    height: auto;
    position:  absolute;
    bottom:  0;
/*    border: 4px dotted blue; */
}

.column_second_bubble1 {
    float: left;
    text-align: left;
    width: 25%;
    padding: 0;
    margin: 0;
    margin-left: 35%;
    height: auto;
/*    border: 4px dotted blue;*/
}

.column_second_bubble2 {
    float: left;
    text-align: left;
    width: 15%;
    padding: 0;
    margin: 0;
    margin-left: 85%;
    height: auto;
    position:  absolute;
    bottom:  0;
/*    border: 4px dotted blue; */
}

.small_img{
    max-width: 100%;
    max-height: 100%;
    border: none;
}

.combo_img{
    max-width: 100%;
    max-height: 100%;
    border: none;
}

blockquote.bubble {
    background-position: center;
    font-family: SequentialistBB, cursive;
    background-repeat: no-repeat !important;
    background-size: 100% 100%;
    margin: auto;
    text-align: center;
    height: auto;
    box-sizing: content-box;
    line-height: 1.1;
    margin-bottom: 0;
}

blockquote.speech {
    background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/4273/speech-bubble.svg);
    font-family: SequentialistBB, cursive;
    width: 75%;
    padding-top: 10%;
    padding-bottom: 35%;
    padding-left: 10%;
    padding-right: 10%;
    font-size: 1.3vw;
}




/* change look of default slider */

/* custom style for input[type="range] (slider) to improve alignment between positions and labels */

.jspsych-slider {
  appearance: none;
  -webkit-appearance: none; 
  -moz-appearance: none;
  width: 100%; 
  background: transparent; 
}
.jspsych-slider:focus {
  outline: none;
}
/* track */
.jspsych-slider::-webkit-slider-runnable-track {
  appearance: none;
  -webkit-appearance: none;
  width: 100%;
  height: 8px;
  cursor: pointer;
  background: #ffffff;
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  border-radius: 2px;
  border: 1px solid #aaa;
}
.jspsych-slider::-moz-range-track {
  appearance: none;
  width: 100%;
  height: 8px;
  cursor: pointer;
  background: #ffffff;
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  border-radius: 2px;
  border: 1px solid #aaa;
}
.jspsych-slider::-ms-track {
  appearance: none;
  width: 99%;
  height: 14px;
  cursor: pointer;
  background: #ffffff;
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  border-radius: 2px;
  border: 1px solid #aaa;
}
/* thumb */
.jspsych-slider::-webkit-slider-thumb {
  border: 1px solid #666;
  height: 24px;
  width: 15px;
  border-radius: 5px;
  background: gray;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -9px;
}
.jspsych-slider::-moz-range-thumb {
  border: 1px solid #666;
  height: 24px;
  width: 15px;
  border-radius: 5px;
  background: gray;
  cursor: pointer;
}
.jspsych-slider::-ms-thumb {
  border: 1px solid #666;
  height: 20px;
  width: 15px;
  border-radius: 5px;
  background: gray;
  cursor: pointer;
  margin-top: -2px;
}